Which tls should i use 1.1 or 1.2


(Robert Wild) #1

hi all,

which tls should i use for my sip tls clients as 1.1 is deprecated, should i change to 1.2 instead

im using freepbx 15 with asterisk 16

thanks,
rob


(Jared Busch) #2

If you have a choice 1.3.

But most people are constrained by the endpoints. You can only set a requirement as high as your endpoints can understand.


(Tom Ray) #3

TLS 1.2/1.3 are the only versions considered active. Every other lower version is considered deprecated and in some cases, vulnerable.


(Robert Wild) #4

Thanks, my endpoints are zoiper for Android and I’m wondering if they can use tls1.2


(Defcomllc) #5

I’m using 1.2 with Sangoma Connect, s705 and D65…